# 32/64bit spec-file
#
%define name ogmrip
%define version 0.13.8
%define release %mkrel 1


Summary: DVD ripping and encoding graphical user interface
Summary(de): OGMRIP - DVD Ripper und Encoder GUI
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPLv2+
Group:  Video
URL: http://ogmrip.sourceforge.net/
Source: http://dl.sf.net/ogmrip/ogmrip-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: mplayer, mencoder
BuildRequires: gtk2-devel 
BuildRequires: libxml2-devel
BuildRequires: GConf2-devel
BuildRequires: %{_lib}glade2.0_0-devel
BuildRequires: enca-devel
BuildRequires: enchant-devel
BuildRequires: dbus-glib-devel
BuildRequires: hal-devel 
BuildRequires: libvorbis-devel
BuildRequires: libtheora-devel
BuildRequires: libdvdread-devel => 0.9.7
BuildRequires: intltool
BuildRequires: gettext-devel
BuildRequires: theora-tools
BuildRequires: vorbis-tools
BuildRequires: ogmtools
BuildRequires: mencoder
BuildRequires: mplayer
BuildRequires: eject
BuildRequires: subtitleripper
BuildRequires: lame 
BuildRequires: mkvtoolnix 
Requires: eject, mplayer, mencoder, ogmtools, vorbis-tools, theora-tools
Requires: mkvtoolnix, lame, mplayer, mencoder, subtitleripper
Requires: %{_lib}dvdread3 >= 0.9.7
Requires(post): GConf2
Requires(postun): GConf2
Requires:   glibc >= 2.10.1
Requires:   libstdc++6 >= 4.4.1
Obsoletes:  %name < %version

%description
OGMRip is an application and a set of libraries for ripping and encoding DVDs
into AVI, OGM MP4 or Matroska files using a wide variety of codecs. It relies
on mplayer, mencoder, ogmtools, mkvtoolnix, oggenc, lame and faac to perform
its tasks.

#german
%description -l de
OGMRip ist eine recht einfach zu bedienende GNOME-Anwendung zum Auslesen (Rippen) 
von DVDs in eine Reihe verschiedener Video-Dateiformate. Daneben kann OGMRip aber 
auch zur Formatumwandlung (Transcodieren) vorhandener Videodateien verwendet werden. 
Da anstelle kryptischer Codierungsparameter nur einfache und verständliche Angaben 
zur Steuerung der Video- und Audiocodierung gemacht werden müssen, sollten auch 
weniger erfahrene Nutzer mit der Software gut zurecht kommen. Für die Ausführung der 
notwendigen Operationen greift OGMRip auf die Werkzeuge mplayer, mencoder, ogmtools, 
mkvtoolnix, oggenc, lame und faac zurück.


%package devel
Summary: Development files for ogmrip
Summary(de): Entwickler Dateien für ogmrip
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development headers and libraries for ogmrip.

#german
%description devel -l de
Entwickler Headers und Bibliotheken für %{name}.


%prep
%setup -q

# Remove -Werror since build fails because of warn_unused_result otherwise
%{__perl} -pi -e 's|-Wall -Werror|-Wall|g' configure*

%build
autoreconf -fis
%configure2_5x \
          --disable-static \
          --disable-schemas-install
 # Disable RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%{make} 
        

%install
rm -rf %{buildroot}
%makeinstall_std

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


%find_lang %{name}

# Remove useless files
rm -f %{buildroot}%{_libdir}/ogmrip/*/*.la


%clean
rm -rf %{buildroot}


%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/ogmrip.schemas &>/dev/null || :

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
        %{_sysconfdir}/gconf/schemas/ogmrip.schemas &>/dev/null || :
fi

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README TODO
%{_sysconfdir}/gconf/schemas/ogmrip.schemas
%{_bindir}/dvdcpy
%{_bindir}/ogmrip
%{_bindir}/subp2pgm
%{_bindir}/subp2png
%{_bindir}/subptools
%{_bindir}/subp2tiff
%{_bindir}/avibox
%{_bindir}/theoraenc
%{_libdir}/*.so.*
%{_libdir}/ogmrip/
%{_datadir}/applications/ogmrip.desktop
%doc %{_datadir}/gtk-doc/html/ogm*
%{_datadir}/ogmrip/
%{_datadir}/pixmaps/ogmrip.png
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%exclude %{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so


%changelog
* Sun Feb 24 2013 Ken <lxgator@gmail.com> 0.13.8-1pclos2013
- 0.13.8

* Tue Dec 29 2009 slick50 <lxgator@gmail.com> 0.13.3-1pclos2010
- 0.13.3

* Wed Oct 14 2009 slick50 <lxgator@gmail.com> 0.13.2-1pclos2010
- 0.13.2

* Sat Jul 18 2009 slick50 <lxgator@gmail.com> 0.13.0-1pclos2009
- 0.13.0
- removed patch0

* Wed Sep 12 2008 Slick50 <lxgator@gmail.com> 0.12.3-1pclos2007
- import to PCLinuxOS
